﻿using Portfolio.Domain.Features.Pokemon;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Application.Services.PokemonService
{
    public interface IPokemonService
    {
        Task<List<Pokemon>> GetAllPokemonAsync();
        Task<Pokemon> GetPokemonByIdAsync(int id);
        Task AddPokemonAsync(Pokemon pokemon);
        Task DeletePokemonAsync(int pokemonId);
    }
}
